# Uses of Class
javax.management.remote.JMXServiceURL

Packages that use JMXServiceURL
Package
Description
javax.management.remote
Interfaces for remote access to JMX MBean servers.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of JMXServiceURL in javax.management.remote

Methods in javax.management.remote that return JMXServiceURL
Modifier and Type
Method
Description
`JMXServiceURL`
JMXAddressable.`getAddress()`
The address of this object.
`JMXServiceURL`
JMXConnectorServerMBean.`getAddress()`
The address of this connector server.
Methods in javax.management.remote with parameters of type JMXServiceURL
Modifier and Type
Method
Description
`static JMXConnector`
JMXConnectorFactory.`connect(JMXServiceURL serviceURL)`
Creates a connection to the connector server at the given address.
`static JMXConnector`
JMXConnectorFactory.`connect(JMXServiceURL serviceURL, Map<String,?> environment)`
Creates a connection to the connector server at the given address.
`static JMXConnector`
JMXConnectorFactory.`newJMXConnector(JMXServiceURL serviceURL, Map<String,?> environment)`
Creates a connector client for the connector server at the given address.
`JMXConnector`
JMXConnectorProvider.`newJMXConnector(JMXServiceURL serviceURL, Map<String,?> environment)`
Creates a new connector client that is ready to connect to the connector server at the given address.
`static JMXConnectorServer`
JMXConnectorServerFactory.`newJMXConnectorServer(JMXServiceURL serviceURL, Map<String,?> environment, MBeanServer mbeanServer)`
Creates a connector server at the given address.
`JMXConnectorServer`
JMXConnectorServerProvider.`newJMXConnectorServer(JMXServiceURL serviceURL, Map<String,?> environment, MBeanServer mbeanServer)`
Creates a new connector server at the given address.

## Uses of JMXServiceURL in javax.management.remote.rmi

Methods in javax.management.remote.rmi that return JMXServiceURL
Modifier and Type
Method
Description
`JMXServiceURL`
RMIConnector.`getAddress()`
The address of this connector.
`JMXServiceURL`
RMIConnectorServer.`getAddress()`
Constructors in javax.management.remote.rmi with parameters of type JMXServiceURL
Modifier
Constructor
Description
``
`RMIConnector(JMXServiceURL url, Map<String,?> environment)`
Constructs an `RMIConnector` that will connect the RMI connector server with the given address.
``
`RMIConnectorServer(JMXServiceURL url, Map<String,?> environment)`
Makes an `RMIConnectorServer`.
``
`RMIConnectorServer(JMXServiceURL url, Map<String,?> environment, MBeanServer mbeanServer)`
Makes an `RMIConnectorServer` for the given MBean server.
``
`RMIConnectorServer(JMXServiceURL url, Map<String,?> environment, RMIServerImpl rmiServerImpl, MBeanServer mbeanServer)`
Makes an `RMIConnectorServer` for the given MBean server.